package uk.ac.standrews.cs.nds.eventModel;

/**
 * Interface for time stamped events
 * @author markus
 */

public interface ITimeStampedEvent extends IEvent {

	/**
	 * @return the creation time of the event (java time stamp [ms])
	 */
	long getEventCreationTime();
}
