/*
 *  NDS Library
 *  Copyright (C) 2006-2008 Distributed Systems Architecture Research Group
 *  http://www-systems.cs.st-andrews.ac.uk/
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
/*
 * Created on 03-Nov-2004
 */
package uk.ac.standrews.cs.nds.eventModel.eventBus.consumers;

import uk.ac.standrews.cs.nds.eventModel.EventFactory;
import uk.ac.standrews.cs.nds.eventModel.IEvent;
import uk.ac.standrews.cs.nds.eventModel.eventBus.busInterfaces.IEventConsumer;

/**
 * @author stuart, graham
 */
public class DiagnosticEventStringWriter implements IEventConsumer {

	public boolean interested(IEvent event) {

		return event.getType().equals(EventFactory.DIAGNOSTIC_EVENT);
	}

	public void receiveEvent(IEvent event) {

		System.out.println(event.get(EventFactory.DIAGNOSTIC_EVENT_MSG));
	}
}
