/*
 *  NDS Library
 *  Copyright (C) 2006-2008 Distributed Systems Architecture Research Group
 *  http://www-systems.cs.st-andrews.ac.uk/
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
/*
 * Created on 28-Jun-2005
 */
package uk.ac.standrews.cs.nds.p2p.exceptions;

import uk.ac.standrews.cs.nds.p2p.impl.P2PStatus;

/**
 * @author stuart
 */
public class P2PApplicationException extends P2PNodeException {

	/**
	 * Creates an exception with the given status.
	 * 
	 * @param status a P2P status
	 * @param message the detail message
	 */
	public P2PApplicationException(P2PStatus status, String message) {
		super(status, message);
	}
}
